Subject: Re: [PATCH net-next 0/7] net: sched: prepare for more Qdisc offloads

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Thu, 08 Nov 2018 12:48:27 +0100

Jakub Kicinski <[email-masked]> writes:

> Hi!
>
> This series refactors the "switchdev" Qdisc offloads a little.  We have
> a few Qdiscs which can be fully offloaded today to the forwarding plane
> of switching devices.
>
> First patch adds a helper for handing statistic dumps, the code seems
> to be copy pasted between PRIO and RED.

Hi Jakub

I didn't know there was offload capabilities for AQMs, that's cool! Do
you have any plans to add offloads for any of the modern AQMs (CoDel or
PIE)?

-Toke